-- name: [PET] Luma
-- description: Just like the Co-Star Luma, he is ready to help you. by Alestar24

if not _G.wpets then return end

local E_MODEL_WPETLUMA = smlua_model_util_get_id('petluma64_geo')
local E_MODEL_WPETLUMALEE = smlua_model_util_get_id('petlumalee64_geo')
local E_MODEL_WPETLUMALEEREC = smlua_model_util_get_id('petlumaleerec64_geo')
local E_MODEL_WPETLUMAREC = smlua_model_util_get_id('petlumarec64_geo')


local ID_WPETLUMA = _G.wpets.add_pet({
	name = "Luma", credit = "Alestar24",
	description = "He likes Starbits",
	modelID = E_MODEL_WPETLUMA,
	scale = 1.0, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_wing(ID_WPETLUMA)

_G.wpets.set_pet_sounds(ID_WPETLUMA, {
	spawn = 'PetLuma-1up.ogg',
	happy = {'PetLuma-wahoo.ogg', 'PetLuma-kick.ogg'},
	vanish = nil,
	step = nil
})

_G.wpets.add_pet_alt(ID_WPETLUMA, E_MODEL_WPETLUMAREC)
_G.wpets.add_pet_alt(ID_WPETLUMA, E_MODEL_WPETLUMALEE)
_G.wpets.add_pet_alt(ID_WPETLUMA, E_MODEL_WPETLUMALEEREC)